<?php
/***************************************************************************
 *                                <fsports.php>
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'includes/functions_fsports.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_SPORTS);
init_userprefs($userdata);
//
// End session management
//

calcresults();

$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE;
	if ( !($games = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in past games', '', __LINE__, __FILE__, $sql); 
		}
$sql = "SELECT * FROM " . FSPORTS_TEAMS_TABLE;
	if ( !($teams = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in getting percentages', '', __LINE__, __FILE__, $sql); 
		} 

if ( ($db->sql_numrows($games) < 1) || ($db->sql_numrows($teams) < 1) )
	{
		$message = $lang['gamenotstarted'];
		message_die(GENERAL_MESSAGE, $message);
	}

//
// Show standings table
//

// Get Users
$sql = "SELECT * FROM " . FSPORTS_STATS_TABLE . " ORDER BY points DESC, pointdiff"; 
	if ( !($result = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in getting users to build standings table', '', __LINE__, __FILE__, $sql); 
		}
$x=1;

while ( $row = $db->sql_fetchrow($result) ) 
	{ 
		$userID = $row['user_ID']; 
		$username = $row['username']; 
		$wins = $row['wins']; 
		$losses = $row['losses'];
		$points = $row['points'];
		$pointdiff = $row['pointdiff'];		
        
		$row_color = ( !($x % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
		$row_class = ( !($x % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

		$template->assign_block_vars('fsportsstats', array( 
			'ROW_NUMBER' => $x, 
			'ROW_COLOR' => '#' . $row_color, 
			'ROW_CLASS' => $row_class, 
			'FSPORTSUSERNAME' => $username, 
			'WINS' => $wins, 
			'LOSSES' => $losses, 
			'POINTS' => $points,
			'POINTDIFF' => $pointdiff) 
			); 

			$x++; 
	}

//
// End Standings Table
//

//
// Show upcoming games
//

$now = time();

$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime>$now ORDER BY gametime, hometeam DESC LIMIT 0, 10"; 
	if ( !($result = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in getting games to build upcoming games table', '', __LINE__, __FILE__, $sql); 
		}

$g=1;

while ( $row = $db->sql_fetchrow($result) ) 
	{ 
		$hometeam = $row['hometeam']; 
		$awayteam = $row['awayteam']; 
		$timestamp = $row['gametime'];
		
		// check if the user is logged in, if not, predict button with take them to login.
		if ($userdata['session_logged_in'])
			{
				$predictlink = "<a href=".append_sid('fsports_pred.'.$phpEx)."><img src=\"templates/subSilver/images/t_icon_predict.gif\" alt=\"Predict Games\" hspace=\"3\" border=\"0\"/></a>";
			}
		else
			{
				$redirect = "fsports.$phpEx";
				$redirect .= ( isset($user_id) ) ? '&user_id=' . $user_id : '';
				header('Location: ' . append_sid("login.$phpEx?redirect=$redirect", true));
			}
		
		// Convert gametime to viewable format
		$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );
		
		        
		$row_color = ( !($g % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
		$row_class = ( !($g % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

		$template->assign_block_vars('fsportsgames', array( 
			'ROW_COLOR' => '#' . $row_color, 
			'ROW_CLASS' => $row_class,
			'PREDICTICON' => $predictlink,
			'HOMETEAM' => $hometeam, 
			'AWAYTEAM' => $awayteam, 
			'GAMETIME' => $gametime) 
			); 

			$g++; 
	}

//
// End showing upcoming games
//


/// 
/// Create win-loss percentage table 
/// 

// Get teams 
$sql = "SELECT * FROM " . FSPORTS_TEAMS_TABLE . " ORDER BY wins DESC;"; 
	if ( !($result = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in getting percentages', '', __LINE__, __FILE__, $sql); 
		} 

$i=1;

while ( $row = $db->sql_fetchrow($result) ) 
	{ 
		$teamnameperc = $row['teamname']; 
		$percentage_wins = $row['wins']; 
		$percentage_losses = $row['losses'];
		$percentage_ties = $row['ties'];
		if ( ($percentage_wins == 0 ) && ( $percentage_losses == 0 ) )
			{
				$win_loss_percentage = 0;
			}
		else
			{ 
				$win_loss_percentage = (($percentage_wins / ( $percentage_wins + $percentage_losses )) * 100);
			}
		settype($win_loss_percentage, string);
		$win_loss_percentage = substr($win_loss_percentage, 0, 4);
        
		$row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
		$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

		$template->assign_block_vars('fsportsperc', array( 
			'ROW_NUMBER' => $i, 
			'ROW_COLOR' => '#' . $row_color, 
			'ROW_CLASS' => $row_class, 
			'TEAMNAME' => $teamnameperc, 
			'WINS' => $percentage_wins,
			'TIES' => $percentage_ties, 
			'LOSSES' => $percentage_losses, 
			'PERCENTAGE' => $win_loss_percentage) 
			); 

			$i++; 
	} 

/// 
/// End win-loss percentage table 
///

//
// Show recent games results
//

$pastweek = (time() - 604800);

$sql = "SELECT gametime, hometeam, awayteam, homescore, awayscore FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime<\"$now\" AND gametime>\"$pastweek\" ORDER BY gametime";
	if ( !($result = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in past games', '', __LINE__, __FILE__, $sql); 
		}
$p=1;

while ( $row = $db->sql_fetchrow($result) )
	{
		$pasttimestamp = $row['gametime'];
		$pasthometeam = $row['hometeam'];
		$pastawayteam = $row['awayteam'];
		$pasthomescore = $row['homescore'];
		$pastawayscore = $row['awayscore'];

		// Bold the winner
		if ( $pastawayscore > $pasthomescore )
			{
				$pastawayteam = "<b>".$pastawayteam."</b>";
			}
		elseif ( $pastawayscore < $pasthomescore )
			{
				$pasthometeam = "<b>".$pasthometeam."</b>";
			}

		// If its a tie don't bold either

		// Convert gametime to viewable format
		$pastgametime = create_date( $board_config['default_dateformat'], $pasttimestamp, $board_config['board_timezone'] );
		
		$row_color = ( !($p % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
		$row_class = ( !($p % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

		$template->assign_block_vars('fsportspast', array( 
			'ROW_COLOR' => '#' . $row_color, 
			'ROW_CLASS' => $row_class, 
			'HOMETEAM' => $pasthometeam, 
			'AWAYTEAM' => $pastawayteam, 
			'HOMESCORE' => $pasthomescore, 
			'AWAYSCORE' => $pastawayscore,
			'GAMETIME' => $pastgametime) 
			);
		$p++;
	}


//
// Start output of page
//
$page_title = $lang['fsports'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->set_filenames(array(
	'body' => 'fsports_body.tpl')
);

//
// Generate the page
//
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>