<?php
/***************************************************************************
 *                                <fsports_pred.php>
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'includes/functions_fsports.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_SPORTS);
init_userprefs($userdata);
//
// End session management
//

if($userdata['user_id'] == ANONYMOUS) 
	{ 
		message_die(GENERAL_MESSAGE, "Sorry but you have to login to make predictions.", "", "", "", ""); 
	} 


$userid = $userdata['user_id'];

	
	

//
// INSERT PREDICTIONS
//

if ( isset($HTTP_POST_VARS['submit']) )
	{
		// Find out if the user has ever played the game
		$sql = "SELECT * FROM " . FSPORTS_STATS_TABLE . " WHERE userid='$userid'";
			$result = $db->sql_query($sql);
			$row = $db->sql_fetchrow($result);
			$findout = $row['userid'];
			if ( $findout != $userid )
				{ 
					//If they haven't, add their username to the table.
					$sql = "SELECT * FROM " . USERS_TABLE . " WHERE user_id='$userid'";
					if ( !($result = $db->sql_query($sql)) ) 
						{ 
							message_die(GENERAL_ERROR, 'Error in finding out whether user has played before', '', __LINE__, __FILE__, $sql); 
						}
					// Add the results to an array
					$usernameinsert = $db->sql_fetchrow($result);
					// Get the correct row from that array
					$usernameinsert = $usernameinsert['username'];

					// Put the userid and the username in the stats table so that it will keep up with this users' stats
					$sql = "INSERT INTO " . FSPORTS_STATS_TABLE . " (userid, username) VALUES ('$userid', '$usernameinsert')";
					if (!$db->sql_query($sql))
						{ 
							message_die(GENERAL_ERROR, 'Error in adding new user to the stats DB', '', __LINE__, __FILE__, $sql); 
						}
				}
		
		// Get the prediction entered
		$game_ID = $HTTP_POST_VARS['game'];
		$hometeampred = $HTTP_POST_VARS['homepick'];
		$awayteampred = $HTTP_POST_VARS['awaypick'];

		$r = 1;

		// Loop through them to enter the predictions in the prediction table
		while ( $r <= $HTTP_POST_VARS['rownumber'] )
			{		
				$gamenum = $game_ID[$r];
				$hometeamprediction = $hometeampred[$gamenum];
				if ($hometeamprediction == "")
					{
						$hometeamprediction = -1;
					}
				$awayteamprediction = $awayteampred[$gamenum];
				if ($awayteamprediction == "")
					{
						$awayteamprediction = -1;
					}
			
				// Send data to the function to insert into the prediction table
				submitpred($userid, $gamenum, $hometeamprediction, $awayteamprediction);
				$r++;
			}
		
		// If all goes as planned, let them know
		$message = $lang['fsportssuccess'] . '<br /><br />' . sprintf($lang['click_view_fsports'], '<a href="' . append_sid("fsports.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['click_return_pred'], '<a href="' . append_sid("fsports_pred.$phpEx") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}

//
// END OF INSERT PREDICTIONS
//


//
// Get Users previous picks
//

$sql = "SELECT gameid, homepred, awaypred FROM " . FSPORTS_PRED_TABLE . " WHERE userid='$userid' ORDER BY gameid";
	if ( !($result = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in getting previous predictions to build prediction table', '', __LINE__, __FILE__, $sql); 
		}

$h=1;

while ( $row = $db->sql_fetchrow($result) )
	{
		$gamenum = $row['gameid'];
		$homescorepred[$gamenum] = $row['homepred'];
		$awayscorepred[$gamenum] = $row['awaypred'];
		$h++;
	}

//
// Show upcoming games for user to enter prediction
//

$now = time();

$sql = "SELECT * FROM " . FSPORTS_GAMES_TABLE . " WHERE gametime>$now ORDER BY gametime, hometeam DESC LIMIT 0, 10"; 
	if ( !($result = $db->sql_query($sql)) ) 
		{ 
			message_die(GENERAL_ERROR, 'Error in getting games to build prediction table', '', __LINE__, __FILE__, $sql); 
		}

$g=1;

while ( $row = $db->sql_fetchrow($result) ) 
	{ 
		$hometeam = $row['hometeam']; 
		$awayteam = $row['awayteam'];
		$gameid = $row['gameid']; 
		$timestamp = $row['gametime'];
		$awaypick = $awaypick[$gameid];
		$homepick = $homepick[$gameid];
		$homescore = $homescorepred[$gameid];
		if ($homescore == -1)
			{
				$homescore = "";
			}
		$awayscore = $awayscorepred[$gameid];
		if ($awayscore == -1)
			{
				$awayscore = "";
			}		
		
		// Convert gametime to viewable format
		$gametime = create_date( $board_config['default_dateformat'], $timestamp, $board_config['board_timezone'] );
		
		        
		$row_color = ( !($g % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
		$row_class = ( !($g % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 


		$template->assign_block_vars('fsportsgames', array( 
			'ROW_COLOR' => '#' . $row_color, 
			'ROW_CLASS' => $row_class,
			'ROWNUMBER' => $g,
			'ROW' => 'rownumber',
			'GAME' => 'game',
			'GAMENUMBER' => $gameid,
			'ALREADYPREDHOME' => $homescore,
			'ALREADYPREDAWAY' => $awayscore,
			'HOMETEAM' => $hometeam, 
			'AWAYTEAM' => $awayteam, 
			'GAMETIME' => $gametime) 
			); 



			$g++; 
	}


		$template->assign_vars(array(
			'FSPORTSUSERNAME' => $userdata['username'],
			'S_FSPORTS_ACTION' => append_sid("fsports_pred.$phpEx"))
			);

//
// End showing upcoming games
//



//
// Start output of page
//
$page_title = $lang['fsports'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->set_filenames(array(
	'body' => 'fsportspred_body.tpl')
);

//
// Generate the page
//
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>